<template>
  <div class="base-avatar">
    <svg v-if="person.gender === 'female'" class="base-avatar__svg" viewBox="0 0 300 350">
      <path :fill="hairColor"
            d="M 152.073 324.087 C 46.273 326.287 34.473 201.387 38.273 139.687 C 45.373 24.687 149.773 -21.413 192.373 17.987 C 237.673 17.987 258.873 74.287 263.973 138.387 C 270.873 223.987 239.273 322.287 152.073 324.087"/>
      <path :fill="skinColor"
            d="M 149.673 27.587 C 209.806 27.644 239.673 78.613 239.673 125.687 C 243.873 122.587 248.473 121.287 252.173 122.887 C 259.573 125.987 261.073 138.887 255.473 151.587 C 249.973 164.287 239.673 172.087 232.273 168.887 C 231.773 168.687 231.273 168.287 230.773 167.987 C 220.132 193.025 202.043 213.433 184.595 226.372 L 184.139 339.919 C 183.938 340.193 113.839 339.919 113.839 339.919 L 114.296 226.166 C 97.11 213.372 79.359 193.381 68.773 168.887 C 61.373 171.887 51.073 164.087 45.673 151.487 C 40.173 138.787 41.673 125.987 49.073 122.787 C 52.273 121.487 55.973 122.087 59.573 124.287 C 60.173 77.613 89.94 27.643 149.573 27.587 C 149.59 27.587 149.606 27.587 149.623 27.587 C 149.64 27.587 149.656 27.587 149.673 27.587 Z"/>
      <path
        d="M 114.232 226.127 C 114.232 226.127 136.797 240.345 149.244 240.366 C 161.619 240.387 184.744 226.314 184.744 226.314 L 184.538 239.74 C 171.238 250.14 158.278 254.907 149.278 254.907 C 140.278 254.907 127.582 250.187 114.282 239.787 L 114.139 236.178"
        style="fill: rgb(0, 0, 0); opacity: 0.14;"/>
      <path
        d="M -19.292 402.374 C 33.477 403.031 258.82 403.912 315.654 401.493 C 312.054 399.293 301.47 331.283 278.331 324.104 C 241.835 312.781 204.629 300.188 184.329 268.288 C 184.283 268.36 187.148 303.974 149.212 304.523 C 113.226 305.044 114.044 268.993 114.021 268.922 C 93.721 300.822 56.062 314.76 19.57 326.422 C -0.479 332.829 -15.692 400.274 -19.292 402.374 Z"
        style="fill: rgb(115, 0, 29);"/>
      <path
        d="M 113.873 142.087 C 118.673 142.087 122.673 146.587 122.673 152.087 C 122.673 157.587 118.673 162.087 113.873 162.087 C 108.973 162.087 105.073 157.587 105.073 152.087 C 105.073 146.587 108.973 142.087 113.873 142.087 Z M 185.273 142.087 C 190.073 142.087 194.073 146.587 194.073 152.087 C 194.073 157.587 190.073 162.087 185.273 162.087 C 180.373 162.087 176.473 157.587 176.473 152.087 C 176.573 146.587 180.473 142.087 185.273 142.087 Z"
        style="fill: rgb(255, 255, 255);"/>
      <path
        d="M 158.973 204.187 C 158.973 204.187 159.273 208.82 149.173 208.82 C 146.273 208.82 139.573 208.787 139.573 204.287 C 145.301 204.84 151.72 204.833 158.973 204.187"
        style="fill:#D43329;"/>
      <path :fill="hairColor"
            d="M 242.673 153.287 C 270.373 34.787 186.973 14.587 138.173 14.587 C 83.273 14.587 59.706 84.12 51.173 155.487 C 117.485 114.534 206.035 103.856 208.973 67.987 C 216.973 99.187 228.273 133.287 242.673 153.287"/>
      <path :fill="eyeColor"
            d="M 113.554 147.844 C 116.1 147.844 118.223 150.231 118.223 153.151 C 118.223 156.071 116.1 158.459 113.554 158.459 C 110.952 158.459 108.882 156.071 108.882 153.151 C 108.936 150.231 111.005 147.844 113.554 147.844 Z M 185.001 147.529 C 187.565 147.529 189.703 149.934 189.703 152.874 C 189.703 155.815 187.565 158.218 185.001 158.218 C 182.381 158.218 180.296 155.815 180.296 152.874 C 180.35 149.934 182.433 147.529 185.001 147.529 Z"/>
    </svg>
    <svg v-else-if="person.gender === 'male'" class="base-avatar__svg" viewBox="0 0 300 350">
      <path :fill="hairColor"
            d="M 210.603 27.706 C 228.903 30.606 239.003 43.206 243.403 60.206 C 254.703 104.506 231.103 200.606 149.403 201.806 C 107.203 202.406 76.903 191.606 65.903 157.606 C 54.803 123.506 50.303 68.506 74.303 37.706 C 104.503 -1.094 168.003 -1.394 210.603 27.706"/>
      <path :fill="skinColor"
            d="M 149.673 27.587 C 209.806 27.644 239.673 78.613 239.673 125.687 C 243.873 122.587 248.473 121.287 252.173 122.887 C 259.573 125.987 261.073 138.887 255.473 151.587 C 249.973 164.287 239.673 172.087 232.273 168.887 C 231.773 168.687 231.273 168.287 230.773 167.987 C 220.851 191.332 204.455 210.653 188.14 223.646 C 188.19 224.447 188.215 225.263 188.215 226.094 L 188.215 310.894 C 177.45 323.394 163.341 332.294 149.337 332.194 C 135.076 332.194 120.814 322.894 110.039 310.894 L 110.039 226.094 C 110.039 225.024 110.082 223.979 110.165 222.959 C 94.316 210.145 78.512 191.422 68.773 168.887 C 61.373 171.887 51.073 164.087 45.673 151.487 C 40.173 138.787 41.673 125.987 49.073 122.787 C 52.273 121.487 55.973 122.087 59.573 124.287 C 60.173 77.613 89.94 27.643 149.573 27.587 C 149.59 27.587 149.606 27.587 149.623 27.587 C 149.64 27.587 149.656 27.587 149.673 27.587 Z"/>
      <path
        d="M 109.992 223.076 C 109.992 223.076 134.995 238.801 148.787 238.825 C 162.499 238.848 188.122 223.283 188.122 223.283 L 187.894 233.955 C 173.157 245.458 158.797 250.73 148.824 250.73 C 138.852 250.73 124.784 245.51 110.048 234.007 L 109.889 234.192"
        style="fill: rgb(0, 0, 0); opacity: 0.14;"/>
      <path
        d="M -18.858 395.206 C 33.911 395.863 259.254 396.744 316.088 394.325 C 312.488 392.125 310.416 329.543 290.212 316.173 C 257.532 294.548 208.517 289.14 188.217 257.24 C 188.171 257.312 173.453 271.549 150.409 272.452 C 128.547 273.309 110.26 257.116 110.237 257.045 C 89.937 288.945 41.233 300.342 9.32 319.254 C -8.787 329.984 -15.258 393.106 -18.858 395.206 Z"
        style="fill: rgb(0, 69, 115);"/>
      <path
        d="M 108.729 125.309 C 114.171 125.309 118.707 130.411 118.707 136.647 C 118.707 142.884 114.171 147.986 108.729 147.986 C 103.173 147.986 98.751 142.884 98.751 136.647 C 98.751 130.411 103.173 125.309 108.729 125.309 Z M 189.686 125.309 C 195.129 125.309 199.664 130.411 199.664 136.647 C 199.664 142.884 195.129 147.986 189.686 147.986 C 184.131 147.986 179.708 142.884 179.708 136.647 C 179.822 130.411 184.244 125.309 189.686 125.309 Z"
        style="fill: rgb(255, 255, 255);"/>
      <path :fill="eyeColor"
            d="M 189.378 131.479 C 192.285 131.479 194.709 134.206 194.709 137.54 C 194.709 140.874 192.285 143.599 189.378 143.599 C 186.407 143.599 184.043 140.874 184.043 137.54 C 184.104 134.206 186.466 131.479 189.378 131.479 Z M 108.367 131.836 C 111.254 131.836 113.661 134.543 113.661 137.854 C 113.661 141.165 111.254 143.872 108.367 143.872 C 105.417 143.872 103.07 141.165 103.07 137.854 C 103.131 134.543 105.477 131.836 108.367 131.836 Z"/>
      <path
        d="M 129.103 196.006 C 132.603 203.706 140.231 204.571 149.503 204.773 C 158.775 204.975 166.403 203.806 169.903 196.006 L 129.103 196.006 Z"
        style="fill: rgb(255, 255, 255);"/>
      <path :fill="hairColor"
            d="M 210.703 72.106 C 188.803 85.606 162.803 80.906 172.803 69.006 C 183.003 57.206 171.803 65.406 152.103 74.106 C 132.303 82.706 109.603 81.306 123.003 74.006 C 139.303 65.106 75.503 59.406 63.903 150.506 C 45.203 84.406 76.803 29.006 148.103 25.906 C 224.303 22.506 255.203 82.906 234.103 148.506 C 235.603 112.906 227.003 89.706 210.703 72.106"/>
    </svg>
    <svg v-else class="base-avatar__svg" viewBox="0 0 300 350">
      <path :fill="skinColor"
            d="M 133.226 99.428 C 124.255 94.458 118.211 85.177 118.211 74.54 C 118.211 58.667 131.658 45.798 148.242 45.798 C 164.827 45.798 178.272 58.667 178.272 74.54 L 178.272 74.541 C 178.272 85.177 172.231 94.458 163.257 99.429 L 163.257 104.169 L 255.164 104.169 L 255.164 157.951 L 282.054 157.951 L 282.054 198.288 L 255.164 198.288 L 255.164 252.071 L 167.767 252.071 L 167.767 292.408 L 228.272 292.408 L 228.773 418.563 L 67.425 418.563 L 66.924 292.408 L 127.43 292.408 L 127.43 252.071 L 40.032 252.071 L 40.032 198.288 L 13.141 198.288 L 13.141 157.951 L 40.032 157.951 L 40.032 104.169 L 133.226 104.169 Z"/>
      <path
        d="M 123.368 164.673 C 123.368 175.811 114.338 184.841 103.2 184.841 C 92.062 184.841 83.032 175.811 83.032 164.673 C 83.032 153.535 92.062 144.505 103.2 144.505 C 114.338 144.505 123.368 153.535 123.368 164.673 Z M 217.489 164.673 C 217.489 175.811 208.46 184.841 197.321 184.841 C 186.182 184.841 177.153 175.811 177.153 164.673 C 177.153 153.534 186.182 144.505 197.321 144.505 C 208.46 144.505 217.489 153.534 217.489 164.673 Z M 177.158 198.288 C 177.158 213.139 165.117 225.18 150.266 225.18 C 135.414 225.18 123.375 213.138 123.375 198.288 Z"
        style="opacity: 0.42;"/>
      <rect x="107.261" y="332.745" style="fill: rgb(255, 255, 255); opacity: 0.34;" width="80.674" height="80.674"/>
      <rect x="147.598" y="332.745" style="opacity: 0.23;" width="40.337" height="80.674"/>
      <path
        d="M 282.335 158.268 L 282.335 198.605 L 255.411 198.605 L 255.411 158.268 Z M 39.989 158.023 L 39.989 198.36 L 13.065 198.36 L 13.065 158.023 Z M 127.4 252.106 L 167.737 252.106 L 167.737 292.673 L 127.4 292.673 Z"
        style="opacity: 0.18;"/>
      <path style="opacity: 0.29;"
            d="M 148.148 45.593 L 148.194 104.315 L 163.209 104.315 L 163.163 99.224 C 172.137 94.253 178.178 84.972 178.178 74.336 C 178.178 58.462 164.733 45.593 148.148 45.593 Z"/>
      <path :fill="eyeColor"
            d="M 197.114 158.259 C 200.456 158.259 203.245 161.395 203.245 165.23 C 203.245 169.063 200.456 172.198 197.114 172.198 C 193.696 172.198 190.977 169.063 190.977 165.23 C 191.048 161.395 193.765 158.259 197.114 158.259 Z M 103.941 158.67 C 107.261 158.67 110.029 161.782 110.029 165.59 C 110.029 169.399 107.261 172.512 103.941 172.512 C 100.547 172.512 97.848 169.399 97.848 165.59 C 97.918 161.782 100.616 158.67 103.941 158.67 Z"/>
    </svg>
  </div>
</template>
<script>

import {computed} from "@vue/composition-api";

export default {
  name: "BaseAvatar.vue",
  props: {
    person: {
      type: Object,
    }
  },
  setup(props) {

    const hairColor = computed(() => {
      switch (props.person.hair_color) {
        case 'blond':
          return '#dbbf98'
        case 'brown':
          return '#7c5319'
        case 'brown, grey':
          return '#7f7464'
        case 'auburn, white':
          return '#cd7676'
        default:
          return '#644610'
      }
    });

    const skinColor = computed(() => {
      switch (props.person.skin_color) {
        case 'fair' || 'light':
          return '#efe6dd'
        case 'white':
          return '#ebd3c5'
        case 'white, blue':
          return '#dbe9f4'
        case 'white, red':
          return '#ffcdd2'
        case 'gold':
          return '#ffd700'
        default:
          return '#f5e1d0'
      }
    });

    const eyeColor = computed(() => {
      switch (props.person.eye_color) {
        case 'blue':
          return '#477ab0'
        case 'yellow':
          return '#FFEE58'
        case 'brown':
          return '#99792a'
        case 'blue-gray':
          return '#767f91'
        case 'red':
          return '#d02c2c'
        default:
          return '#4b525f'
      }
    });

    return {
      skinColor,
      hairColor,
      eyeColor
    }
  }
}
</script>

<style lang="scss" scoped>
.base-avatar {
  margin-bottom: -7px;

  &__svg {
    margin-top: 20px;
    width: 100%;
    height: 170px;
    border-bottom: 1px solid #e7e7e7;
  }

}


</style>
